    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %                                                           %
    %                                                           %
    %         Mebrane complexes                                 %
    %                                                           %  
    %         y(1)   pMHC1   free                               %    
    %         y(2)   TCR|pMHC1                                  %
    %         y(3)   LCK|TCR|pMHC1                              %
    %         y(4)   LCKs|TCR|pMHC1                             %
    %         y(5)   LCKy|TCR|pMHC1                             %
    %         y(6)   LCKsy|TCR|pMHC1                            %
    %         y(7)   LCKy|pTCR|pMHC1                            %
    %         y(8)   LCKsy|pTCR|pMHC1                           %
    %         y(9)   LCKy|ppTCR|pMHC1                           %
    %         y(10)  LCKsy|ppTCR|pMHC1                          %
    %                                                           %
    %         y(11)   pMHC2  free                               %    
    %         y(12)   TCR|pMHC2                                 %
    %         y(13)   LCK|TCR|pMHC2                             %
    %         y(14)   LCKs|TCR|pMHC2                            %
    %         y(15)   LCKy|TCR|pMHC2                            %
    %         y(16)   LCKsy|TCR|pMHC2                           %
    %         y(17)   LCKy|pTCR|pMHC2                           %
    %         y(18)   LCKsy|pTCR|pMHC2                          %
    %         y(19)   LCKy|ppTCR|pMHC2                          %
    %         y(20)   LCKsy|ppTCR|pMHC2                         %
    %                                                           %
    %         y(21)  TCR free                                   %
    %                                                           % 
    %         y(22)       pSHP|TCR                              %
    %         y(23)       pSHP|TCR|pMHC1                        % 
    %         y(24)       pSHP|LCK|TCR|pMHC1 complex            %
    %         y(25)       pSHP|TCR|pMHC2                        %
    %         y(26)       pSHP|LCK|TCR|pMHC2                    %
    %                                                           %
    %         Cytosolic proteins                                %
    %                                                           %
    %         y(27)   LCK                                       %
    %         y(28)   SHP free                                  %
    %         y(29)   pSHP free                                 %
    %         y(30)   ZAP                                       %
    %         y(31)   ZAPp                                      %
    %         y(32)   MEK                                       %
    %         y(33)   pMEK                                      %
    %         y(34)   ppMEK                                     %
    %         y(35)   ERK                                       %
    %         y(36)   pERK                                      %
    %         y(37)   ppERK                                     %
    %                                                           %
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    

 i = input('please give cell number for plots, 0 for average from all cells   ') 

 if (i>0) 
 Y(:,:)=xxx(i,:,:);   %i_th cell
 end;
 if (i==0) 
     Y=zz; %average form all cells 
 end;             

figure(1)
set(gcf,'Color',[1,1,1])
subplot(2,3,1);
plot(T,Y(:,1));
grid on;
title('pMHC1 free');

subplot(2,3,2);
plot(T,Y(:,2));
grid on;
title('TCR|pMHC1');

subplot(2,3,3);
plot(T,Y(:,3));
grid on;
title('LCK|TCR|pMHC1');

subplot(2,3,4);
plot(T,Y(:,4));
grid on;
title('LCKs|TCR|pMHC1');

subplot(2,3,5);
plot(T,Y(:,23));
grid on;
title('pSHP|TCR|pMHC1');

subplot(2,3,6);
plot(T,Y(:,24));
grid on;
title('pSHP|TCR|LCK|pMHC1');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



figure(2)
set(gcf,'Color',[1,1,1])

subplot(2,3,1);
plot(T,Y(:,5));
grid on;
title('LCKy|TCR|pMHC1');

subplot(2,3,2);
plot(T,Y(:,6));
grid on;
title('LCKsy|TCR|pMHC1');

subplot(2,3,3);
plot(T,Y(:,7));
grid on;
title('LCKy|pTCR|pMHC1');

subplot(2,3,4);
plot(T,Y(:,8));
grid on;
title('LCKsy|pTCR|pMHC1');

subplot(2,3,5);
plot(T,Y(:,9));
grid on;
title('LCKy|ppTCR|pMHC1');

subplot(2,3,6);
plot(T,Y(:,10));
grid on;
title('LCKsy|ppTCR|pMHC1');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5555


figure(3)
set(gcf,'Color',[1,1,1])

subplot(2,3,1);
plot(T,SHP-Y(:,28));
grid on;
title('pSHP total');

subplot(2,3,2);
plot(T,Y(:,22));
grid on;
title(' pSHP|TCR');

subplot(2,3,3);
plot(T,Y(:,29));
grid on;
title(' pSHP free');

subplot(2,3,4);
plot(T,Y(:,31));
grid on;
title('pZAP');

subplot(2,3,5);
plot(T,Y(:,34));
grid on;
title('ppMEK');

subplot(2,3,6);
plot(T,Y(:,37));
grid on;
title('ppERK');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(4)
set(gcf,'Color',[1,1,1])

subplot(2,2,1);
plot(T,Y(:,21));
grid on;
title(' TCR');

subplot(2,2,2);
plot(T,Y(:,27));
grid on;
title(' LCK free');

subplot(2,2,3);
plot(T,Y(:,22));
grid on;
title('pSHP|TCR');

subplot(2,2,4);
plot(T,Y(:,2));
grid on;
title('TCR|pMHC1');

subplot(2,2,4);
plot(T,Y(:,12));
grid on;
title('TCR|pMHC2');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(5)
set(gcf,'Color',[1,1,1])

subplot(2,3,1);
plot(T,Y(:,11));
grid on;
title(' pMHC2 free');

subplot(2,3,2);
plot(T,Y(:,12));
grid on;
title('[B],   TCR|pMHC2');

subplot(2,3,3);
plot(T,Y(:,13));
grid on;
title(' LCK|TCR|pMHC2');

subplot(2,3,4);
plot(T,Y(:,14));
grid on;
title('  LCKs|TCR|pMHC2');

subplot(2,3,5);
plot(T,Y(:,25));
grid on;
title(' pSHP|TCR|pMHC2');


subplot(2,3,6);
plot(T,Y(:,26));
grid on;
title(' pSHP|TCR|LCK|pMHC2');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(6)
set(gcf,'Color',[1,1,1])

subplot(2,3,1);
plot(T,Y(:,15));
grid on;
title('LCKy|TCR|pMHC2');

subplot(2,3,2);
plot(T,Y(:,16));
grid on;
title('LCKsy|TCR|pMHC2');

subplot(2,3,3);
plot(T,Y(:,17));
grid on;
title('LCKy|pTCR|pMHC2');

subplot(2,3,4);
plot(T,Y(:,18));
grid on;
title('LCKsy|pTCR|pMHC2');

subplot(2,3,5);
plot(T,Y(:,19));
grid on;
title('LCKy|ppTCR|pMHC2');

subplot(2,3,6);
plot(T,Y(:,20));
grid on;
title('LCKsy|ppTCR|pMHC2');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


